Subject: Re: [PATCH 03/44] dmaengine: ioat: don't use DMA_ERROR_CODE

From: Christoph Hellwig <[email-masked]>
Date: Sun, 18 Jun 2017 00:09:25 -0700

On Fri, Jun 16, 2017 at 01:40:24PM -0700, Alexander Duyck wrote:
> dma_unmap_page on dest_dma if "op == IOAT_OP_XOR"? Odds are it is what
> the compiler is already generating and will save a few lines of code
> so what you end up with is something like:

Honestly wanted to touch the code as little as possible :)  If we want
to make it prettier and more readable it needs to be refactored.

If you're interested I can take a stab at that, but I'd like to keep
it out of this already giant series.